$result-font-color: #636363;
$not-palindrome-color: #cc444b;
$is-palindrome-color: #53a451;

.container {
  display: flex;
  justify-content: space-around;
  margin-top: 30px;
  font-size: 16px;
  font-family: Arial, Helvetica, sans-serif;
}

.frame {
  display: flex;
  flex-direction: column;
  border: 1px solid #ccc;
  border-radius: 3px;
  width: 400px;
  min-height: 122px;
  height: fit-content;

  &__input {
    padding: 10px;
    font-size: 16px;
    height: 25px;
    border: solid 1px #ccc;
    border-radius: 3px;
    color: $result-font-color;
  }

  .checker {
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 20px 0;
    overflow: hidden;
    text-overflow: ellipsis;
    color: $result-font-color;

    &__value {
      word-wrap: break-word;
      max-width: 40%;
    }

    &--is-palindrome, &--not-palindrome {
      margin: 0 5px;
      color: white;
      border-radius: 5px;
      padding: 0 15px;
      height: 35px;
      display: flex;
      justify-content: center;
      align-items: center;
    }

    &--is-palindrome {
      background: $is-palindrome-color;
    }

    &--not-palindrome {
      background: $not-palindrome-color;
    }
  }
}

.padding-15 {
  padding: 15px;
}

@media all and (max-width: 980px) {
  .container {
    flex-direction: column;
    align-items: center;

    .frame {
      margin-bottom: 15px;
      padding: 15px;
    }
  }
}
